% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/session.R
\name{html_session}
\alias{html_session}
\alias{is.session}
\title{Simulate a session in an html browser.}
\usage{
html_session(url, ...)

is.session(x)
}
\arguments{
\item{url}{Location to start session}

\item{...}{Any additional httr config to use throughout session.}

\item{x}{An object to test to see if it's a session.}
}
\description{
Simulate a session in an html browser.
}
\section{Methods}{

A session object responds to a combination of httr and html methods:
use \code{\link[httr:cookies]{httr::cookies()}}, \code{\link[httr:headers]{httr::headers()}},
and \code{\link[httr:status_code]{httr::status_code()}} to access properties of the request;
and \code{\link[=html_nodes]{html_nodes()}} to access the html.
}

\examples{
# http://stackoverflow.com/questions/15853204

s <- html_session("http://hadley.nz")
s \%>\% jump_to("hadley-wickham.jpg") \%>\% jump_to("/") \%>\% session_history()
s \%>\% jump_to("hadley-wickham.jpg") \%>\% back() \%>\% session_history()
\donttest{
s \%>\% follow_link(css = "p a")
}
}
